Page MenuHomePhabricator

Allow disabling Gather's public facing features on a wiki
Closed, DeclinedPublic3 Story Points

Description

As requested in https://en.wikipedia.org/wiki/Wikipedia:Gather/Gather_RFC_proposal_-_February_2016 we should immediately disable the public facing aspects of Gather.

"This will address (in the short term) the objectionable features of Gather related to moderation, encyclopedic content and image copyright. We believe that is a compromise that balances the objections from community members while maintaining value for the users of Collections."

Note: This is not seen as a final response to the RFC which is still occurring on wiki.

Nota bene: the following proposal has failed. It has been rejected by the community.
https://en.wikipedia.org/wiki/Wikipedia:Gather/Gather_RFC_proposal_-_February_2016
See also: T127509

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 19 2016, 6:19 PM

Do you honestly think that we won't notice the fact that this ticket is about disabling Gather's public facing features instead of disabling Gather.

What a childish move to try to deceive the community in this way.

The_Quixotic_Potato renamed this task from Disable Gather's public facing features to Disable Gather.Feb 19 2016, 6:36 PM
The_Quixotic_Potato updated the task description. (Show Details)

Change 267332 had a related patch set uploaded (by Jdlrobson):
Allow Gather to run in private mode

https://gerrit.wikimedia.org/r/267332

Well, Gerritbot just confirmed my suspicions... Gotta love them bots!

Legoktm updated the task description. (Show Details)Feb 19 2016, 6:43 PM
Jdlrobson renamed this task from Disable Gather to Disable Gather's public facing features".Feb 19 2016, 6:50 PM
Jdlrobson updated the task description. (Show Details)

@The_Quixotic_Potato a please feel free to open a new bug report. I am just following instructions and following point 1 in the RFC which is "Make the feature private."

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 6:54 PM

Jdlrobson: "I am just following instructions" is the worst excuse ever.

You seem to misunderstand what an RFC is.

Do you mean point 1 of the failed proposal that was rejected by the community??

This is the RFC:
https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%29#RfC:_Disable_Gather_on_enwiki

The RFC says:

"The RfC is not intended to be a final judgment of Gather: it only asks that Gather is totally disabled on enwiki now, and remains so until another RfC has shown community consensus that a new trial is acceptable."

The_Quixotic_Potato renamed this task from Disable Gather's public facing features" to Disable Gather.Feb 19 2016, 6:55 PM
The_Quixotic_Potato updated the task description. (Show Details)
This comment was removed by The_Quixotic_Potato.
The_Quixotic_Potato renamed this task from Disable Gather to Totally disable Gather on enwiki.Feb 19 2016, 7:13 PM

@The_Quixotic_Potato I filed T127509: Uninstall the Gather extension from en.wikipedia.org, we can leave this task as removing the public parts of Gather, it doesn't prevent the extension from otherwise being disabled.

Legoktm renamed this task from Totally disable Gather on enwiki to Disable Gather's public facing features.Feb 19 2016, 7:19 PM
The_Quixotic_Potato added a comment.EditedFeb 19 2016, 7:20 PM

No, that is not gonna happen. This task is about disabling Gather as a whole. If you want to create another task to remove the public parts of Gather then feel free to do that, but I do not understand why you would, because Gather's public facing features are a subset of Gather.

The_Quixotic_Potato renamed this task from Disable Gather's public facing features to Totally disable Gather on enwiki.Feb 19 2016, 7:21 PM

@The_Quixotic_Potato: Welcome to Wikimedia Phabricator.
The talk page of https://en.wikipedia.org/wiki/Wikipedia:Gather/Gather_RFC_proposal_-_February_2016 seems to be a better suited place to discuss that proposal instead of this Phabricator task.
Furthermore, please read the Phabricator etiquette. Insulting other users is not acceptable and can lead to getting your Phabricator account disabled. Thank you for keeping Phabricator a respectful place.

I mean, I'm not going to war with you over the task title, that's silly. I don't know why you're so concerned about it being *this task*. If you can't realize that I'm trying to help you achieve what you're trying to do, that's fine. But co-opting other people's bugs or being rude to @Jdlrobson isn't going to help you, and will make other people less likely to help you.

Restoring the original summary of this task as this task is just reflecting the proposal. If you want to challenge the proposal, please do so on-wiki. Thanks.

Aklapper renamed this task from Totally disable Gather on enwiki to Disable Gather's public facing features.Feb 19 2016, 7:25 PM

@Aklapper Have I insulted anyone?

@Legoktm I do not use phabricator regularly, so why should I create another task? I do not even understand why another task would be necessary considering the fact that the public facing features of Gather are a subset of Gather.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 7:28 PM

@Aklapper Ehm, that proposal was rejected, so it is worthless. The RFC is the thing that should be acted on, not the failed and rejected proposal. Please check the links in the description.

The_Quixotic_Potato renamed this task from Disable Gather's public facing features to Totally disable Gather on enwiki.Feb 19 2016, 7:31 PM

@Aklapper Have I insulted anyone?

Wording like in T127495#2045451 and T127495#2045291 is not welcome in Wikimedia Phabricator. Again, see the Etiquette I linked how to express criticism in a different way / tone. Thanks for your understanding.

@Legoktm I do not use phabricator regularly, so why should I create another task? I do not even understand why another task would be necessary considering the fact that the public facing features of Gather are a subset of Gather.

The rule is: Different tasks for different things. e.g. The other task might be (almost certainly will be) accepted, in which case this task might be closed as superfluous, but nonetheless we like to keep tasks separate.

Anyways, this seems like a lot of huff-huff over nothing. It appears that there was just a simple misunderstanding, and it will be corrected - but the way we do that is open a different ticket asking for the correct thing, not trying to re-purpose this ticket half way through.

@The_Quixotic_Potato: I ask you again to please not revert the summary of this task - see the previous comments, also about more suited places to discuss disagreement with the proposal. Thank you.

Aklapper renamed this task from Totally disable Gather on enwiki to Disable Gather's public facing features.Feb 19 2016, 7:34 PM

@Aklapper I do not understand what you dislike about the first comment.

The second comment was made in frustration, but luckily I discovered that Jdlrobson made a mistake.

I assumed he knew what an RFC is, which is a reasonable assumption, but he didn't.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 7:35 PM

@Aklapper Why do you revert it to the wrong version? Have you read the links in the description? The proposal failed and was unanimously rejected by the community. The RFC received almost unanimous support.

Please read T127495#2045619 again. Thanks.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 7:39 PM

@Aklapper I did read it. I even re-read it because you asked me to. But I still don't understand.

Uninstalling Gather is a completely different task that is unrelated to this RFC (I assume, because the RFC didn't mention uninstalling, it asked for Gather to be disabled).

The words: "we can leave this task as removing the public parts of Gather," are very mysterious to me, what does that mean?

Why would we have 3 tasks, one to uninstall Gather, one to disable the public facing parts of Gather and one to disable Gather as a whole when we can have two tasks: one to uninstall Gather and one to disable Gather as a whole?

Uninstalling Gather is a completely different task that is unrelated to this RFC (I assume, because the RFC didn't mention uninstalling, it asked for Gather to be disabled).

In this case, uninstall is synonymous with disable.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 7:43 PM

@Legoktm
In IT, uninstall is never synonymous with disable. They are two different words with two different meanings. But that still doesn't explain why disabling/uninstalling Gather should be split into two (or three) separate tasks. Nor does it explain why this one needs to be the one that only deals with the public facing parts of Gather.

Uninstalling Gather is a completely different task that is unrelated to this RFC (I assume, because the RFC didn't mention uninstalling, it asked for Gather to be disabled).

Seems like you've answered your own question about why we want a different task for uninstalling gather. In your own words "Uninstalling Gather is a completely different task".

Tasks represent the action to take, not the reasoning for taking them. Just because a task exists does not mean we will necessarily do the task. So in this case, the outcome might be that this task gets rejected, and the other one gets implemented.

In IT, uninstall is never synonymous with disable

Whether or not they're synonyms depends on the definition of install and enable. In this particular case, they are synonyms.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 7:48 PM

@Bawolff No, I did not answer my own question, please read the discussion before commenting.

I asked why disabling the public facing features of Gather should be separate from the task of disabling Gather as a whole.

I'm pretty sure I'm not the one whose failing to read the discussion...

[offtopic] In reply to T127495#2045851:
@The_Quixotic_Potato: If you think a certain task should get declined (or a different implementation / solution should be favored), bringing up arguments in a constructive way is welcome.
Completely changing the scope of a Phabricator task is something I'd like to leave to its author.
I'm obviously only talking about Phabricator workflows here (and not whether some RfC interpretation is correct or not) where people organize what they might want to work on, and changing the scope of a task without having found agreement with the task author is more disruptive than needed. I hope this clarifies things a bit. :) And now hopefully back from the meta-level to the actual topic here...

@Bawolff Then you shouldn't have a problem with my suggestion to re-read it, in case you missed something.

Or maybe you can simply read this sentence:

I asked why disabling the public facing features of Gather should be separate from the task of disabling Gather as a whole.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 7:53 PM

@Aklapper The author reverted me at first, but stopped doing that when I explained that he misunderstood what an RFC was.

He believed that the proposal was the RFC. That is why he left the wrong description.

The task author obviously realized he made a mistake, and I fixed it for him, but then you reverted...

@The_Quixotic_Potato : I was talking about the task summary, not the description. :) See https://en.wikipedia.org/wiki/Wikipedia_talk:Gather/Gather_RFC_proposal_-_February_2016 to discuss the proposal itself (and whether/how much it actually fits the RfC), as I had written already before. Thanks.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 7:56 PM

@Aklapper Ehm, me too, sorry. I am talking about "Disable Gather's public facing features", the text inside span.phui-header-header. That was a mistake by the task author. I corrected his mistake and explained that the proposal is not the RFC. The task author believed that the proposal was the RFC, that is why he gave this incorrect title. Please check the history so you can see I am telling the truth.

BTW the first comment on that proposal page is mine, and that is the wrong place to leave these comments.

@The_Quixotic_Potato a please feel free to open a new bug report. I am just following instructions and following point 1 in the RFC which is "Make the feature private."

Nota bene: he is referring to point 1 of the failed and rejected proposal, and seems to believe that that is the RFC.

Jdlrobson: "I am just following instructions" is the worst excuse ever.
You seem to misunderstand what an RFC is.
Do you mean point 1 of the failed proposal that was rejected by the community??
This is the RFC:
https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%29#RfC:_Disable_Gather_on_enwiki
The RFC says:
"The RfC is not intended to be a final judgment of Gather: it only asks that Gather is totally disabled on enwiki now, and remains so until another RfC has shown community consensus that a new trial is acceptable."

The_Quixotic_Potato renamed this task from Disable Gather's public facing features to Totally disable Gather on enwiki.Feb 19 2016, 8:04 PM

@The_Quixotic_Potato I think I may have inadvertently confused you.

Regardless of what the title/description chosen for this software task, the patch associated with this task and the intention of the creation of this task was to track the work to disable the public accessible/public facing parts of Gather which I have been told needs to happen immediately.

I created this task to track the engineering work that my manager has asked me to do and it has nothing to do with the RFC, nor the long term plans for Gather on village pump (which I have no involvement in).

Renaming/editing this task will only serve to cause confusion to the engineers who are trying to move things along to the best of their abilities with the work requested of them.

As the creator of this task, can I please ask you respect my original intention and track/edit T127509 which @Legoktm has kindly created for you?

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 8:58 PM

@Jdlrobson

Yeah, you confused me quite a bit. TBH I am still confused. What is the name of this manager and how can I reach him/her? A patch to disable only the publicly visible bits of Gather is (of course) not a correct response to an RFC that says that Gather needs to be totally disabled.

I think you'll understand that the community won't be very happy about that.

Jdlrobson renamed this task from Totally disable Gather on enwiki to Disable Gather's public facing features.Feb 19 2016, 8:59 PM
Jdlrobson updated the task description. (Show Details)

Hopefully, the new description/title clears this up.
You appear to already be engaging in discussion with my manager on https://en.m.wikipedia.org/wiki/Wikipedia:Gather/Gather_RFC_proposal_-_February_2016
On wiki should continue to be the best place to have these discussions.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 9:04 PM

@Jdlrobson
I don't know who your manager is. Do you mean Jkatz (WMF)? or User:TNegrin (WMF)?? I can't reach either of them. Who is your manager and how can I contact him or her? You can invite him/her to comment here, I am unable to contact them at the moment.

The new description is even more confusing. Why are you acting on a failed proposal? It has been rejected by the community...

Disabling this feature is T127509, again. This is just for development of gather elsewere.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 9:38 PM

@Luke081515
But... Jdlrobson said the goal of this task was to "to track the work to disable the public accessible/public facing parts of Gather". And now this task is about development of Gather elsewhere??!?

It seems unlikely that places other than en.wiki had the same RFC at the same time, so this task should only be related to en.wiki, right?

It is also completely unclear why people want to act on a failed proposal, who Jdlrobson's manager is and how I can contact him or her.

The author of this task wrote that this task "has nothing to do with the RFC". Hence this software task is not "only related to en.wiki". wmf:Staff lists WMF's people and structure.
Please use the link in T127495#2046519 to continue the discussion.

jrbs added a subscriber: jrbs.Feb 19 2016, 10:53 PM
The_Quixotic_Potato added a comment.EditedFeb 19 2016, 11:08 PM

@Aklapper Thank you. The page isn't very clear, but TNegrin is probably his manager.

You are correct. Jdlrobson did write: "I created this task to track the engineering work that my manager has asked me to do and it has nothing to do with the RFC"

If the task has nothing to do with the RFC, then why was the task described as "following point 1 in the RFC which is "Make the feature private."?
Jdlrobson must've been referring to the RFC proposal, which is very much related to the RFC.

The description of the task contains the words: "As requested in https://en.wikipedia.org/wiki/Wikipedia:Gather/Gather_RFC_proposal_-_February_2016 we should immediately disable the public facing aspects of Gather."

I think that that was written by Jdlrobson...

Do you understand why I am confused?

Trust me, I would love to be able to discuss this elsewhere, but unfortunately TNegrin (WMF) is not active on en.wiki. He doesn't respond to pings and he has made only 18 edits between 2013 and today.

Of course I checked meta wiki and he has made only 26 contributions between 2013 and today. 13 of those are new pages, and they were made very rapidly (3/4/5 pages per minute).

So I don't know how to contact TNegrin. He has an email account and a Twitter but I hate Twitter (and 140 chars are not enough to have a meaningful conversation) and I want to communicate onwiki, where everyone else can see it.

jrbs added a comment.Feb 19 2016, 11:14 PM

So I don't know how to contact TNegrin. He has an email account and a Twitter but I hate Twitter (and 140 chars are not enough to have a meaningful conversation) and I want to communicate onwiki, where everyone else can see it.

Why not ping him onwiki, then email him to tell him that you have done so, and that you wish for him to reply openly?

Please use https://en.wikipedia.org/wiki/Wikipedia_talk:Gather/Gather_RFC_proposal_-_February_2016 as requested.
Please feel free to ping on that talk page if answers on that talk page are not provided within a reasonable time frame. It is off-topic for this software task.

The_Quixotic_Potato added a comment.EditedFeb 19 2016, 11:19 PM

@jrbs Sounds like a plan. He does not respond to pings (which makes sense because he doesn't really seem to use Wikipedia). His talkpage on meta contains a couple of questions that he hasn't responded to. Maybe he has another (non-WMF) account but he doesn't mention it on his userpage.

I will email him, and tell him to respond onwiki.

@Aklapper Unfortunately Wikipedia_talk:Gather/Gather_RFC_proposal_-_February_2016 is useless and pinging him doesn't work.

I no longer agree with myself, and I apologize. Feel free to delete or ignore all the BS.

Jdlrobson set the point value for this task to 3.Feb 22 2016, 5:46 PM
bd808 triaged this task as Normal priority.Feb 22 2016, 6:08 PM
Nemo_bis renamed this task from Disable Gather's public facing features to Allow disabling Gather's public facing features on a wiki.Feb 22 2016, 8:55 PM
Nemo_bis added a subscriber: Nemo_bis.

I note that this feature ($wgGatherEnablePublicInterface) has no expected users and should therefore be lowest priority.

Jdlrobson changed the task status from Open to Stalled.Feb 26 2016, 11:04 PM
Nemo_bis lowered the priority of this task from Normal to Lowest.Feb 27 2016, 2:48 PM

Change 267332 abandoned by Jdlrobson:
Allow Gather to run in private mode

https://gerrit.wikimedia.org/r/267332

MBinder_WMF closed this task as Declined.Jun 1 2016, 9:58 PM
MBinder_WMF added a subscriber: MBinder_WMF.

This task was declined as part of a batch-decline related to sunsetting the Gather project. Please ping (politely) if this task should be reopened. For more information, you can also see here: https://www.mediawiki.org/wiki/Extension:Gather